<form name="picForm" role="form" novalidate (ngSubmit)="simpan()" #editForm="ngForm" autocomplete="off">
    <h2>
        <span>Tambah Barang Baru</span>
        <!-- <button class="btn btn-primary float-right jh-create-entity create-purchasing" [routerLink]="['/', { outlets: { popup: ['purchasing-new'] } }]">
            <span class="fa fa-plus"></span>
            <span class="hidden-sm-down"  jhiTranslate="mpmApp.purchasing.home.createLabel">
            Create new Purchasing
            </span>
        </button> -->
    </h2>
    <div class="row">
        <div class="col-md-3">
            <div class="form-group" *ngIf="internals === 'PPIC'">
                <label class="form-control-label" for="field_kdBahan">Kode Barang</label>
                <input type="text" class="form-control" name="kdBahan" id="field_kdBahan" (keyup)="onKeyUp($event)"
                    [(ngModel)]="inKdBahan" />
            </div>
            <div class="form-group" *ngIf="internals !== 'PPIC'">
                <label class="form-control-label" for="field_kdBahan">Kode Barang</label>
                <input type="text" class="form-control" name="kdBahan" id="field_kdBahan" [(ngModel)]="inKdBahan" />
            </div>
        </div>
        <div class="col-md-3">
            <div class="form-group">
                <label class="form-control-label" for="field_kdUmum">Kode Umum </label>
                <input type="text" class="form-control" name="kdUmum" id="field_kdUmum" [(ngModel)]="inkdUmum" />
            </div>
        </div>
        <div class="col-md-3">
            <div class="form-group">
                <label class="form-control-label" for="field_NmBahan">Nama Barang</label>
                <input type="text" class="form-control" name="nmBahan" id="field_NmBahan" [(ngModel)]="inNmBahan" />
            </div>
        </div>
        <div class="col-md-3" *ngIf="internals !== 'TEKNIK' && internals !== 'PPIC'">
            <div class="form-group">
                <label class="form-control-label" for="field_SatBahan">Satuan Barang</label>
                <input type="text" class="form-control" name="satuan_bahan" id="field_NmBahan"
                [(ngModel)]="inSatBahan" />
            </div>
        </div>
        <div class="col-md-3" *ngIf="internals !== 'TEKNIK' && internals === 'PPIC'">
            <div class="form-group">
                <label class="form-control-label" for="field_SatBahan">Satuan Barang 3</label>
                <input type="text" class="form-control" name="satuan_bahan" id="field_NmBahan"
                [(ngModel)]="inSatBahan" />
            </div>
        </div>
        <div class="col-md-3" *ngIf="internals !== 'TEKNIK' && internals === 'PPIC'">
            <div class="form-group">
                <label class="form-control-label" for="field_SatBahan4">Satuan Barang 2</label>
                <input type="text" class="form-control" name="satuan_bahan4" id="field_NmBahan4"
                [(ngModel)]="inSatBahan2" />
            </div>
        </div>
        <div class="col-md-3" *ngIf="internals !== 'TEKNIK' && internals === 'PPIC'">
            <div class="form-group">
                <label class="form-control-label" for="field_SatBahan">Qty Satuan 2</label>
                <input type="number" class="form-control" name="satuan_bahan1" id="field_NmBahan1" placeholder="Satuan ke dua Berapa Isinya"
                [(ngModel)]="inQtybahan2" />
            </div>
        </div>
        <div class="col-md-3" *ngIf="internals !== 'TEKNIK' && internals === 'PPIC'">
            <div class="form-group">
                <label class="form-control-label" for="field_SatBahan4">Satuan Barang 1</label>
                <input type="text" class="form-control" name="satuan_bahan3" id="field_NmBahan3"
                [(ngModel)]="inSatBahan3" />
            </div>
        </div>
        <div class="col-md-3" *ngIf="internals !== 'TEKNIK' && internals === 'PPIC'">
            <div class="form-group">
                <label class="form-control-label" for="field_SatBahan">Qty Satuan 1</label>
                <input type="number" class="form-control" name="satuan_bahan5" id="field_NmBahan5" placeholder="Satuan ke 1 Berapa Isinya"
                [(ngModel)]="inQtybahan3" />
            </div>
        </div>
        <div class="col-md-3" *ngIf="internals === 'TEKNIK'">
            <div class="form-group">
                <label class="form-control-label" for="field_SatBahan">Satuan Barang</label>
                <input type="text" class="form-control" name="satuan_bahan" id="field_NmBahan"
                [(ngModel)]="inSatBahan" />
            </div>
        </div>
        <div class="col-md-6" *ngIf="internals === 'PPIC'">
            <div class="form-group">
                <label class="form-control-label" for="field_tipeBahan">Tipe Barang</label>
                <select class="form-control" id="field_tipe1" name="tipe1" [(ngModel)]="inTipeBahan">
                    <option [ngValue]="tipe1Option.value" *ngFor="let tipe1Option of tipe1">{{tipe1Option.label}}
                    </option>
                </select>
            </div>
        </div>
        <div class="col-md-6">
            <div class="form-group">
                <label class="form-control-label" for="field_tipeBahan">Kategori Barang</label>
                <select class="form-control" id="field_tipe1" name="tipe2" [(ngModel)]="inputKategori">
                    <option [ngValue]="tipe1Option.value" *ngFor="let tipe1Option of tipe2">{{tipe1Option.label}}
                    </option>
                </select>
            </div>
        </div>
        <div class="col-md-6">
            <div class="form-group">
                <label class="form-control-label" for="field_PicBahan">Pic Pembelian Barang</label>
                <select class="form-control" id="field_tipe" name="tipe" [(ngModel)]="inPicBahan">
                    <option [ngValue]="tipeOption.value" *ngFor="let tipeOption of tipe">{{tipeOption.label}}</option>
                </select>
            </div>
        </div>
        <div class="col-md-6">
            <div class="form-group">
                <label class="form-control-label" for="field_PicBahan">Status Barang</label>
                <select class="form-control" id="field_tipe" name="selectedStatus" [(ngModel)]="selectedStatus">
                    <option [ngValue]="tipeOption.value" *ngFor="let tipeOption of status1">{{tipeOption.label}}
                    </option>
                </select>
            </div>
        </div>
        <div class="col-md-6" *ngIf="internals === 'PPIC'">
            <div class="form-group">
                <label class="form-control-label" for="field_PicBahan">Tipe Wadah</label>
                <select class="form-control" id="field_tipe" name="selectedStatus2" [(ngModel)]="inputWadah">
                    <option [ngValue]="tipeOption.value" *ngFor="let tipeOption of listWadah">{{tipeOption.label}}
                    </option>
                </select>
            </div>
        </div>
        <div class="col-md-6" *ngIf="internals === 'PPIC'">
            <div class="form-group">
                <label class="form-control-label" for="field_PicBahan">QR Code</label>
                <div class="ui-g-12">
                    <p-radioButton name="group1" value="Y" label="Ya" [(ngModel)]="inputQr"
                        tabindex=9>
                    </p-radioButton>
                    <p-radioButton name="group1" value="N" label="Tidak" [(ngModel)]="inputQr"
                        tabindex=10>
                    </p-radioButton>
                </div>
            </div>
        </div>
        <div class="col-md-6">
            <div class="form-group">
                <label class="form-control-label" for="field_PicBahan">Halal</label>
                <div class="ui-g-12">
                    <p-radioButton name="group2" value="Y" label="Ya" [(ngModel)]="inputHalal"
                        tabindex=9>
                    </p-radioButton>
                    <p-radioButton name="group2" value="N" label="Tidak" [(ngModel)]="inputHalal"
                        tabindex=10>
                    </p-radioButton>
                </div>
            </div>
        </div>
    </div>

    <div class="ui-g-12">
        <hr>
        <div style="text-align: right">
            <button pButton type="submit" label="Simpan" icon="fa-save" class="ui-button-danger flat-label-button">
            </button>
            <button pButton class="btn btn-primary btn-sm float-right" (click)="back()" label="Kembali"
                class="ui-button-danger flat-label-button">
            </button>
        </div>
    </div>
    <div class="ui-g-12"></div>
    <div class="ui-g-12"></div>
    <div class="ui-g-12"></div>
    <div class="ui-g-12"></div>
    <div class="ui-g-12"></div>
    <div class="ui-g-12"></div>
    <div class="ui-g-12"></div>
    <div class="ui-g-12"></div>
    <div class="ui-g-12"></div>
    <div class="ui-g-12"></div>
    <div class="ui-g-12"></div>
    <div class="ui-g-12"></div>
    <div class="ui-g-12"></div>
    <div class="ui-g-12"></div>

</form>